Subject: Re: [PATCH] git-mv: Keep moved index entries inact

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Jul 2008 00:38:16 -0700

Petr Baudis <[email-masked]> writes:

> On Mon, Jul 21, 2008 at 03:20:46AM +0200, Johannes Schindelin wrote:
>> On Mon, 21 Jul 2008, Petr Baudis wrote:
>> > I want to make sure the whole index entry is intact, not just the sha1.
>> 
>> "rev-parse :dirty" will have to read the index to get at the object name 
>> of "dirty".  So there you have your index validation for you.
>
>   it will test if the entry stays _valid_, but not whether it stays the
> _same_.

You are right.  You would want to catch breakages like a file losing its
executable bits, which you cannot detect by grabbing "rev-parse :dirty"
and comparing it with the expected value.